'use client';

import { LoginComponent, LoginFormData } from '@/components/LoginComponent';
import { useCompanyLogin } from '@/hooks/company/useCompanyLogin';
import { useRouter } from '@/framework/navigation';

export default function CompanyLogin() {
  const login = useCompanyLogin();

  return (
    <LoginComponent
      namespace="company"
      mutation={login}
    />
  );
}
